Text::QRCode(3pm)

NAME
Text::QRCode - Generate text base QR Code

SYNOPSIS
    use Text::QRCode;

    my $arrayref = Text::QRCode->new()->plot("Some text here.");
    print join "\n", map { join '', @$_ } @$arrayref;

    # You will get following output.
    ******* *  ** *******
    *     *   * * *     *
    * *** *       * *** *
    * *** *   **  * *** *
    * *** *  * *  * *** *
    *     *  **** *     *
    ******* * * * *******
            *  **
    ** ** *   *** *     *
    *   **  ***    * *
     * ****     * *    **
    *    * * * * * ** ***
      **  *   ***   ** **
            * **  * **  *
    *******  *****  ***
    *     *  * ** * ****
    * *** * *   *    * *
    * *** * * **   *  *
    * *** *     *** * ***
    *     * **  * *   ***
    ******* * *  ****

DESCRIPTION
This module allows you to generate QR Code using ' ' and '*'. This module use libqrencode '2.0.0' and above.

METHODS

new
        $qrcode = Text::QRCode->new(%params);

    The new() constructor method instantiates a new Text::QRCode object. new() accepts some parameters are the same as "Imager::QRCode".

plot($text)
        $arrayref = $qrcode->plot("blah blah");

    Create a QR Code map. This method returns array reference ploted QR Code with the given text.

INSTANT METHODS

plot_qrcode($text, \%params)
    Instant method. $text is input text. %params is same parameter as new().

SEE ALSO
"Imager::QRCode", "Term::QRCode", "HTML::QRCode", "http://www.qrcode.com/", "http://megaui.net/fukuchi/works/qrencode/index.en.html"

AUTHOR
Yoshiki Kurihara "<kurihara __at__ cpan.org>"

LICENCE
Copyright (c) 2013, Yoshiki KURIHARA "<kurihara __at__ cpan.org>".

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.